org.gradle.process

## Interface CommandLineArgumentProvider

- All Known Subinterfaces:
    CompilerArgumentProvider

      @Incubating
      public interface CommandLineArgumentProvider

  Provides arguments to a process.
  Since:
    4.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<String>` | `asArguments()` The arguments which will be provided to the process.

- - ### Method Detail

    - #### asArguments

          Iterable<String> asArguments()

      The arguments which will be provided to the process.